OVH Community, your new community space.

Apache


sloomy
03/03/2016, 17h29
Bonjour,

Et sauf erreur de ma part on peut aussi migrer d'une debian 7 vers une debian 8 sans perte de données.

Cdlt
Bruno

BBR
03/03/2016, 08h26
Par définition, une sauvegarde n'est pas sur le serveur donc tu ne les perdras pas quand tu le réinstalleras (une réinstall = formatage)

RockyXV
02/03/2016, 20h03
Je veut bien installer Debian 8 mais cela ne veut pas dire que je perdre mes sauvegarde ?

nowwhat
02/03/2016, 19h08
Citation Envoyé par RockyXV
Je n'utilise pas de tutoriel cette version est directement proposé a la première configuration du serveur (c'est un serveur minecraft).
Google me prose un Minecraft qui tourne sur Debian 8 ....
Mais persiste à utiliser une vieille version qui nécessite Debian 7 .... qui inclut de base PHP ancien :

[Sun Feb 28 06:25:02 2016] [notice] Apache/2.2.22 (Debian) PHP/5.4.45-0+deb7u2 configured -- resuming normal operations
[Sun Feb 28 08:00:02 2016] [error] [client 66.249.66.89] PHP Fatal error:
The file /var/www/core/includes.php was encoded with the PHP 5.5 ionCube Encoder and requires PHP 5.5 to be installed. in Unknown on line 0

Citation Envoyé par RockyXV
J'ai déjà installer Ioncube moi même c'est bon sa.
Le log de ton serveur t'informe que c'est n'est pas le cas. IonCube pleure que tu utilise une vieille version de PHP (5.4.45) et qu'il lui faut au moins 5.5 ......

RockyXV
02/03/2016, 17h20
Je n'utilise pas de tutoriel cette version est directement proposé a la première configuration du serveur (c'est un serveur minecraft).

J'ai déjà installer Ioncube moi même c'est bon sa.

nowwhat
02/03/2016, 16h55
Citation Envoyé par RockyXV
Je ne peut pas changer de version de Debian car c'est la version prédéfini pour l'OS que j'utilise pour le serveur d'un jeu.
Montre nous le tuto que tu utilise pour préparer ton serveur.

Il est normal que :
Le tuto n'a pas été mise à jour.
Or, même le vieux Debian a du recevoir des mise à jours ....

Ce qui risque fort d'invalider le tuto. Il est donc fortement possible qu'il faut dévier un peu, deviner ce qu'il faut faire pour que tout s’installe bien.
Puis, à la fin, si ce n'est plus possible, fait la même chose avec ton vieux Nintendo : quand c'est vieux, on jette ......

Revenons à IONCUBE.

IonCube n'est pas un package debian qu'on installe comme les autres.
Il faut faire un peu plus de travailler soi même.

Ça débute ici : https://www.ioncube.com/ et ici https://www.ioncube.com/loaders.php

Utilise aussi l'info que je t'ai filé ici https://forum.kimsufi.com/showthread...l=1#post197225 - mais ne t'arrête pas là, fait quelque recherches toi même aussi sur le sujet.

RockyXV
02/03/2016, 16h37
A oui autant pour moi je n'avais pas vue désolé, oui dans ce fichier il y a :
deb http://http.debian.net/debian wheezy main
deb-src http://http.debian.net/debian wheezy main

deb http://http.debian.net/debian wheezy-updates main
deb-src http://http.debian.net/debian wheezy-updates main

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

deb http://packages.dotdeb.org wheezy-php55 all
deb-src http://packages.dotdeb.org wheezy-php55 all

nicobilaine
02/03/2016, 16h19
Citation Envoyé par RockyXV
Bonjour,

Je ne peut pas changer de version de Debian car c'est la version prédéfini pour l'OS que j'utilise pour le serveur d'un jeu.

Le serveur répond pareil a touts les logiciels que j'essaye de lancer "unrecognized service".

Dans "/etc/apt/sources.list" il y a qu'un seul fichier qui se nomme : webupd8team-java.list.

J'ai désinstaller les logiciels que j'ai récemment installer et toujours la même phrase..
Attention, il doit y avoir un fichier /etc/apt/sources.list, ce que vous avez donné est le contenu de /etc/apt/sources.list.d.

RockyXV
02/03/2016, 14h09
Bonjour,

Je ne peut pas changer de version de Debian car c'est la version prédéfini pour l'OS que j'utilise pour le serveur d'un jeu.

Le serveur répond pareil a touts les logiciels que j'essaye de lancer "unrecognized service".

Dans "/etc/apt/sources.list" il y a qu'un seul fichier qui se nomme : webupd8team-java.list.

J'ai désinstaller les logiciels que j'ai récemment installer et toujours la même phrase..

nicobilaine
02/03/2016, 09h59
Est-ce que votre autre logiciel n'aurait pas modifié les chemins de mise à jour d'APT pour les faire pointer vers de mauvais serveur ? Qu'avez-vous dans le fichier "/etc/apt/sources.list" ?

sloomy
02/03/2016, 09h49
Bonjour,

Y'a surement un soucis dans php, si tu regardes les logs :

[Mon Feb 29 15:11:27 2016] [error] [client 176.145.40.192] PHP Fatal error:
The file /var/www/core/includes.php was encoded with the PHP 5.5 ionCube Encoder and requires PHP 5.5 to be installed. in Unknown on line 0

et la 2ème :

[Mon Feb 29 15:00:39 2016] [notice] Apache/2.2.22 (Debian) PHP/5.4.45-0+deb7u2 configured -- resuming normal operations

D'un coté y'a php 5.5 et de l'autre 5.4 ! a mon avis le truc sais plus ou donner de la tête !

Donc il faudrait repartir d'un truc propre : désinstaller ce qui n'a pas a y être
Après on a pas d'accès à la machine donc, nous ne faisons que supposer !

Peut-être demander l'aide d'un expert qui pourrait prendre la main sur votre serveur pour vous aider.

Cdlt
Bruno

nowwhat
02/03/2016, 09h35
Au dernière nouvelle, apache2 se lance comme
service apache2 start
ou relance avec
service apache2 restart

Il est sur que l'installation donne un
root@ns311465:~# ls -al /etc/init.d/apache2
-rwxr-xr-x 1 root root 10077 Aug 1 2015 /etc/init.d/apache2
edit: pourquoi "Debian 7" - les vieilles versions ne sont que là pour les inconscients et les experts avec un certain besoin bien précis (entre autre : se faire emmerder avec des vieux bugs).

php -v
donne quoi ?

édit : ton log montre que t'as
Apache/2.2.22 (Debian)
et
PHP/5.4.45-0+deb7u

Pour installer IonCube, je te conseille de regarder ici : https://www.howtoforge.com/tutorial/...oncube-loader/
Ou ici : http://www.debiantutorials.com/installing-ioncube/
Ou par la : https://watchmy.domains/tutorials/install-ioncube.php

sloomy
02/03/2016, 09h03
Bonjour,

Hum ! il doit bien y avoir des logs qui vous dit ce qu'il se passe ?
Si vous avez un problème après l'installation d'IonCube, il y a une aide ?

Ca serait pas le moment de passer en version 8 de débian ?

Cdlt
Bruno

RockyXV
01/03/2016, 22h17
Apache ne marche plus depuis que j'ai installer IonCube Loader et il n'est même pas installer non plus.

Oui il y a un log d'erreur : http://pastebin.com/C1MUzgSh

J'utilise un FTP je suis sur WinSCP, Mon système est à jour.

Installé des paquets à la main ? Compilé ? Vous voulez dire installer Apache manuellement ?

Cordialement,
Rocky.

janus57
01/03/2016, 21h47
Bonjour,

du coup perso je prendrais le problème à l'envers.

Qu'est-ce que vous avez fait pour ne plus avoir apache ?
Quels sont les actions logs qui montrent quelques choses au niveau de apache (genre les logs de apache si ils sont encore présent) ?

Vous utilisez un panel ?
Vous maintenez votre système à jour ?
Installé des paquets à la main ? Compilé ?

Cordialement, janus57

RockyXV
01/03/2016, 21h20
Sa ne marche pas non plus sa me dit la même erreur et aucun dossier config ou autres ne se créer.

Cordialement,
Rocky.

janus57
01/03/2016, 21h09
Bonjour,

peut être (qui équivalent en apt-get/apt) ?
Code:
aptitude reinstall apache2
Cordialement, janus57

RockyXV
01/03/2016, 20h00
Non, aucune trace de apache dans dans les dossier mais il me dit quand même qu'il est quand même installer.

Cordialement,
Rocky.

sloomy
01/03/2016, 18h44
Bonjour,

Vous n'avez pas un apache* ou un http* ?

Cdlt
Bruno

RockyXV
01/03/2016, 18h31
Beaucoup de truc mais pas de apache2.

sloomy
01/03/2016, 18h27
Bonjour,

Que dit un : ls -halt /etc/init.d/ ?

Cdlt
Bruno

Freemaster
01/03/2016, 18h26
Citation Envoyé par RockyXV
service apache2 restart
d'après ton gif, ce n'est pas ce que tu fait...
tu installes apache2, mais tu essaies de redémarrer apache

RockyXV
01/03/2016, 18h18
https://i.gyazo.com/c4e3364700ea5f83...8f53e62bc8.gif

A moins que je fasses quelque chose de faux mais avant sa marcher très bien.

Cordialement,
Rocky.

sloomy
01/03/2016, 18h14
Bonjour,

Vous êtes sur qu'il est bien installé ? et que vous êtes avec des droits "root" ?

Cdlt
Bruno

RockyXV
01/03/2016, 17h50
service apache2 restart

sloomy
01/03/2016, 17h47
Bonjour,

Quelle commande utilisez vous pour relancer apache ?

Cdlt
Bruno

RockyXV
01/03/2016, 15h36
Je suis sous Debian 7. Non je le relance sur une console comme d'habitude quoi, et depuis peu sa ne marche plus.

nowwhat
01/03/2016, 07h53
Commençons au début.
Vous utilisez quel OS : Windows XP ? iOS ? Android ? Debian ? Un R-machin ?

janus57
01/03/2016, 05h47
Bonjour,

fichiers de apache2 sont existant avec des commandes mais pas dans le FTP.
Euh vous essayer pas de relancer apache2 en commande FTP quand même ?!?

Cordialement, janus57

RockyXV
29/02/2016, 22h13
Bonjour,

J'ai un problème sur mon serveur dédié avec apache2, quand je souhaite le redémarrer il me dit qu'il est pas installer : " apache2: unrecognized service" et alors que je viens juste de l'installer et que les fichiers de apache2 sont existant avec des commandes mais pas dans le FTP.
Quelqu'un pourrait m'aider ?

Cordialement,
Rocky.